# HG changeset patch
# User SATOH Fumiyasu <fumiyas@osstech.co.jp>
# Date 1335509909 -32400
# Node ID bc3420923d147d00793817f40386b7f19e6034f8
# Parent  e8b80e0767ac0d3f5e98d9a464344043488fff0c
Compiling fix for AIX

Fix the following error on AIX:

$ make
...
In file included from stats-connection.c:9:
stats-plugin.h:14: error: field 'user_cpu' has incomplete type
stats-plugin.h:14: error: field 'sys_cpu' has incomplete type

diff -r e8b80e0767ac -r bc3420923d14 src/plugins/stats/stats-plugin.h
--- a/src/plugins/stats/stats-plugin.h	Thu Apr 26 00:26:58 2012 +0300
+++ b/src/plugins/stats/stats-plugin.h	Fri Apr 27 15:58:29 2012 +0900
@@ -6,6 +6,8 @@
 #include "mail-user.h"
 #include "mail-storage-private.h"
 
+#include <sys/time.h>
+
 #define STATS_USER_CONTEXT(obj) \
 	MODULE_CONTEXT(obj, stats_user_module)
 
